/*

    File:     add_node_to_dll.c

    Ref. No:  dll.0

    Author:   James Garacci

    Date:     12-DEC-1993

    Purpose:

        The purpose of this module is to add a node to a previously created
        double linked list.

    Usage:

	This module can be invoked as follows:

	   add_node_to_dll (list_pointer
			   ,new_node_pointer);

    Input Parameters:

	list_pointer = a pointer to a double linked list of structure type
			DOUBLE_LIST_NODE.

	new_node_pointer = a pointer to the node of structure type
			DOUBLE_LIST_NODE that is to be added to the double linked list.

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <stdio.h>
#include <stdlib.h>
#include "dll.h"

/*  Functions Referenced:

	None

    System Calls:

	None

    External Variables:

	None

    Pseudo Code:

      Set Flink of new node to point to the Flink of head node.
      Set Flink of head node to point to new node.
      Set Blink of new node to point to head node.
      Set Blink of Flink of new node to point to new node.
      Return control to the calling module.

    Code:  */

void add_node_to_dll (DOUBLE_LIST_NODE *list_pointer
		     ,DOUBLE_LIST_NODE *new_node_pointer)
{
   new_node_pointer->Flink = list_pointer->Flink;
   list_pointer->Flink = new_node_pointer;
   new_node_pointer->Blink = list_pointer;
   new_node_pointer->Flink->Blink = new_node_pointer;
}
