/*

    File:     cb_about.c

    Ref. No:  callback.7

    Author:   James Garacci

    Date:     MAR-11-1995

    Purpose:

	The purpose of this module is to display the information about the game.

    Usage:

	This module can be invoked as follows:

		cb_about (widget
               		 ,tag
                         ,callback_data);

    Input Parameters:

        widget = a structure of type Widget where the data pertaining to the
                 widget that invoked the callback is stored.

        tag_string = a structure of type String used to indicate how the Widget
                     is to be stored.  Currently, only one method of storage is
                     supported.

        callback_data = a pointer to a structure of type XmAnyCallbackStruct
                        where the data pertaining to the action that caused the
                        callback to be invoked is stored.

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <Mrm/MrmAppl.h>

/*  Functions Referenced:

	popup_dialog
	retrieve_widget_id

**  System Calls:

	XtUnmanageChild

**  Constant Definitions: **

	True

**  Macro Definitions: **

	None

**  External Variables: **

	None

**  Pseudo Code:

  If ( the tag parameter is from the menu ) then
    Popup the about dialog box
  Else
    If ( the tag parameter is from the About dialog box itself ) then
      Hide the About dialog
    End If
  End If
  Return control to the calling module

    Code:  */

void cb_about (Widget w
              ,int *tag
              ,XmAnyCallbackStruct *callback_data)
{
   if (*tag == 0)
   {
      popup_dialog ("about_dialog", 0 , True);
   }
   else
   {
      if (*tag == 1)
         XtUnmanageChild(retrieve_widget_id("about_dialog", 0));
   }
}
