/*

    File:     cb_create.c

    Ref. No:  sample1.1

    Author:   James Garacci

    Date:     23-MAR-1995

    Purpose:

	The purpose of this module is to store the widget info for later
        retrieval.

    Usage:

	This module can be invoked as follows:

		cb_create (w
                          ,tag_string
                          ,callback_data);

    Input Parameters:

	w = a structure of type Widget which specifies the widget to be created.

	tag_string = a string used to specify the name of the widget.

	callback_data = a pointer to the structure of type XmAnyCallbackStruct
			where the data pertaining to the widget is stored.

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <Mrm/MrmAppl.h>
#include "motif.h"

/*  Functions Referenced:

	save_widget_info

**  System Calls:

	None

**  Constant Definitions: **

	None

**  Macro Definitions: **

	None

**  External Variables: **

	None

**  Pseudo Code:

  Save the information about the widget
  Return control to the calling module

    Code:  */

void cb_create (Widget               w
               ,String               tag_string
               ,XmAnyCallbackStruct *callback_data)
{
   save_widget_info (tag_string
                    ,0
                    ,w);
}
