/*

    File:     cb_exit.c

    Ref. No:  sample1.3

    Author:   James Garacci

    Date:     1-NOV-1994

    Purpose:

	The purpose of this module is to exit the application when some exit
        event occurs.

    Usage:

	This module can be invoked as follows:

		cb_exit (w
                        ,tag
                        ,callback_data);

    Input Parameters:

	w = a pointer to the widget where the event occured.

        tag = a pointer to an integer containing the callback tag id

	callback_data = a pointer to a structure of type XmAnyCallbackStruct
                        where the data for the callback is stored.

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <stdlib.h>
#include <Mrm/MrmAppl.h>
#include "motif.h"

/*  Functions Referenced:

	None

**  System Calls:

	exit

**  Constant Definitions: **

	None

**  External Variables: **

	None

**  Pseudo Code:

  Terminate the application program

    Code:  */

void cb_exit (Widget               w
             ,int                 *tag
             ,XmAnyCallbackStruct *callback_data)
{
   exit (0);
}
