/*

    File:     cb_new.c

    Ref. No:  breakout.4

    Author:   James Garacci

    Date:     5-APR-1995

    Purpose:

	The purpose of this module is to

    Usage:

	This module can be invoked as follows:

		cb_new (widget
                       ,tag
                       ,callback_data);

    Input Parameters:

	widget = a pointer to the widget where the event occured.

        tag = a pointer to an integer containing the callback tag id

	callback_data = a pointer to a structure of type XmAnyCallbackStruct
                        where the data for the callback is stored.

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <stdlib.h>
#include <Mrm/MrmAppl.h>
#include "motif.h"
#include "motif.ext"
#include "dll.h"
#include "breakout.h"
#include "breakout.ext"

/*  Functions Referenced:

	None

**  System Calls:

	exit

**  Constant Definitions: **

	None

**  External Variables: **

	None

**  Pseudo Code:

  Terminate the application program

    Code:  */

void cb_new (Widget               widget
            ,int                 *tag
            ,XmAnyCallbackStruct *callback_data)
{
   DOUBLE_LIST_NODE *old_brick
                  , *removable_brick;
   Display *display;
   Object_Node *new_brick;
   int column
     , row;
   int count;
   char score_string [32];
   
   display = XtDisplay(retrieve_widget_id ("display_area", 0));

   if (started)
   {
      XtRemoveTimeOut (update_id);
   }
   else
      started = 1;
   if (brick_list != NULL)
   {
      old_brick = brick_list->Blink;
      while (old_brick != (DOUBLE_LIST_NODE *) brick_list)
      {
         removable_brick = old_brick;
         old_brick = old_brick->Blink;
         remove_node_from_dll (removable_brick);
         free (removable_brick);
      }
      free (brick_list);
   }

   if (!(bricks_left = file_load_level ("data/level.001"
                                       ,&brick_list)))
   {
      printf ("File level.001 couldn't be opened\n");
      exit(1);
   }

   balls = 4;
   score = 0;
   state = 50;
   next_ball = 20000;
   level = 1;
   pause = 0;
   BALL_SPEED = 6;

   ball_x = 25 + random () % 150;
   ball_y = 100 + random () % 5;
   ball_xv = BALL_SPEED * (1 - ((random () % 2) << 1));
   ball_yv = BALL_SPEED;
   set_GC_color (program_colors[0].pixel
                ,program_colors[0].pixel
                ,display
                ,DefaultGC(display, 0));

   XFillRectangle (display
                  ,pixmap[0]
                  ,DefaultGC(display, 0)
                  ,0
                  ,205
                  ,200
                  ,45);

   set_GC_color (program_colors[10].pixel
                ,program_colors[10].pixel
                ,display
                ,DefaultGC(display, 0));

   for (count = 0
       ;count < balls
       ;count++)
   {
      XFillArc (display
               ,pixmap[0]
               ,DefaultGC(display, 0)
               ,100 + (count % 6) * 15
               ,210 + (count / 6) * 15
               ,10
               ,10
               ,0
               ,23040);
   }

   sprintf (score_string
           ,"Score:\n %ld"
           ,score);

   XDrawString (display
               ,pixmap[0]
               ,DefaultGC(display, 0)
               ,5
               ,220
               ,score_string
               ,strlen (score_string));

   update_display ();
}
