/*

    File:     cb_pause.c

    Ref. No:  breakout.7

    Author:   James Garacci

    Date:     APR-20-1995

    Purpose:

	The purpose of this module is to pause and unpause the program.

    Usage:

	This module can be invoked as follows:

		cb_pause (w
                         ,tag
                         ,callback_data);

    Input Parameters:

	w = a pointer to the widget where the event occured.

        tag = a pointer to an integer containing the callback tag id

	callback_data = a pointer to a structure of type XmAnyCallbackStruct
                        where the data for the callback is stored.

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <stdlib.h>
#include <Mrm/MrmAppl.h>
#include "motif.h"
#include "motif.ext"
#include "dll.h"
#include "breakout.h"
#include "breakout.ext"

/*  Functions Referenced:

	update_display

**  System Calls:

	XtAppAddTimeOut
	XtRemoveTimeOut

**  Constant Definitions: **

	None

**  External Variables: **

	balls
	main_app_context
	pause
        update_id

**  Pseudo Code:

  If ( the program is not paused ) then
    Pause the program by removing the TimeOut
  Else
    UnPause the program by adding the TimeOut
  End If
  Return control to the calling module

    Code:  */

void cb_pause (Widget               w
              ,int                 *tag
              ,XmAnyCallbackStruct *callback_data)
{
   if (balls >= 0)
   {
      if (!(pause))
      {
         pause = 1;
         XtRemoveTimeOut (update_id);
      }   
      else
      {
         pause = 0;
         update_id = XtAppAddTimeOut (main_app_context
                                     ,50
                                     ,update_display
                                     ,(XtPointer) NULL);
      }
   }
}
