/*

    File:     cb_sound.c

    Ref. No:  breakout.8

    Author:   James Garacci

    Date:     MAY-8-1995

    Purpose:

	The purpose of this module is to turn the sound on or off.

    Usage:

	This module can be invoked as follows:

		cb_sound (w
                         ,tag
                         ,callback_data);

    Input Parameters:

	w = a pointer to the widget where the event occured.

        tag = a pointer to an integer containing the callback tag id

	callback_data = a pointer to a structure of type XmAnyCallbackStruct
                        where the data for the callback is stored.

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <stdlib.h>
#include <Mrm/MrmAppl.h>
#include "motif.h"
#include "motif.ext"
#include "dll.h"
#include "breakout.h"
#include "breakout.ext"

/*  Functions Referenced:

	None

**  System Calls:

	None

**  Constant Definitions: **

	None

**  External Variables: **

	sound

**  Pseudo Code:

  If ( the sound is on ) then
    Set the sound to off
  Else
    Set the sound to on
  End If
  Return control to the calling module

    Code:  */

void cb_sound (Widget               w
              ,int                 *tag
              ,XmAnyCallbackStruct *callback_data)
{
   if (sound)
      sound = 0;
   else
      sound = 1;
}
