/*

    File:     motif.h

    Ref. No:  n/a

    Author:   James Garacci

    Date:     23-MAR-1995

    Purpose:

	The purpose of this module is to declare function protoypes, macros, 
	structures, and constants necessary to use the callback motif related
        modules.

    Structure Declarations:  */

typedef struct widget_entry
{
   String              wid_name;
   int                 wid_index;
   Widget              wid_id;
   struct widget_entry *next;
} 
   widget_entry_type;

/*  Function Prototypes:  */

void cb_about (Widget w
              ,int *tag
              ,XmAnyCallbackStruct *callback_data);

void cb_create (Widget w
               ,String tag_string
               ,XmAnyCallbackStruct *callback_data);

void cb_exit (Widget w
             ,int *tag
             ,XmAnyCallbackStruct *callback_data);

void cb_help (Widget w
             ,int *tag
             ,XmAnyCallbackStruct *callback_data);

void cb_input (Widget w
              ,int *tag
              ,XmDrawingAreaCallbackStruct *callback_data);

void cb_new (Widget w
            ,int *tag
            ,XmAnyCallbackStruct *callback_data);

void cb_pause (Widget w
              ,int *tag
              ,XmAnyCallbackStruct *callback_data);

void cb_redraw (Widget w
               ,int *tag
               ,XmAnyCallbackStruct *callback_data);

void cb_sound (Widget w
              ,int *tag
              ,XmAnyCallbackStruct *callback_data);

Widget retrieve_widget_id (String widnam
                          ,int    wididx);

void save_widget_info (String widnam
                      ,int    wididx
                      ,Widget widid);
