/*

    File:     move_paddle.c

    Ref. No:  breakout.2

    Author:   James Garacci

    Date:     7-APR-1995

    Purpose:

	The purpose of this module is to move the paddle to the new mouse
        location.

    Usage:

	This module can be invoked as follows:

		move_paddle ();

    Input Parameters:

	None

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <limits.h>
#include <time.h>
#include <Mrm/MrmAppl.h>
#include <X11/X.h>
#include <X11/Xutil.h>
#include <X11/Xlib.h>
#include <Xm/Text.h>
#include <X11/cursorfont.h>
#include <X11/keysym.h>
#include <Xm/FileSB.h>
#include "motif.h"
#include "motif.ext"
#include "dll.h"
#include "breakout.h"
#include "breakout.ext"

/*  Functions Referenced:

	retrieve_widget_id

**  System Calls:

	DefaultColormap
	DefaultGC
	XAllocNamedColor
	XCreatePixmap
	XFillRectangle
	XtDisplay
	XtWindow

**  Constant Definitions: **

	None

**  Macro Definitions: **

	None

**  External Variables: **

	pixmap = an array of pixmaps used for graphical output.

	program_colors = an array of structure type XColor where the colors
			 allocated for the program are stored.

**  Pseudo Code:


    Code:  */

void move_paddle (Widget widget
                 ,XtPointer stuff
                 ,XEvent *event
                 ,Boolean *continue_to_dispatch)
{
   if (event->type == MotionNotify)
   {
      if (((XMotionEvent *)event)->x > -30 &&
          ((XMotionEvent *)event)->x < 230)
      {
        paddle_x = ((XMotionEvent *)event)->x;
        if (((XMotionEvent *)event)->x < 0)
           paddle_x = 0;
        else
           if (((XMotionEvent *)event)->x > 180)
              paddle_x = 180;
      }
   }
}
