/*

    File:     remove_node_from_dll.c

    Ref. No:  dll.2

    Author:   James Garacci

    Date:     12-DEC-1993

    Purpose:

	The purpose if this module is to remove a node from the double linked list
	that is pointed to by the list pointer.

    Usage:

	This module can be invoked as follows:

	remove_node_from_dll(node_pointer);

    Input Parameters:

	node_pointer = a pointer to the double linked list node of structure type
			DOUBLE_LIST_NODE that is to be removed from the double linked list.

    Output Parameters:

	None

    Side Effects:

	If the list pointed to by node_pointer is empty then the module will
	output an error message and terminate the program.

    Include Files: */

#include <stdlib.h>
#include <stdio.h>
#include "dll.h"

/*  Functions Referenced:

	empty_dll

    System Calls:

	exit
	printf

    External Variables:

	None

    Pseudo Code:

	If the list is empty
	   Output an error message
	   Terminate the program
	Else
	   Set Flink of the Blink of the victim to the Flink of the victim.
	   Set Blink of the Flink of the victim to the Blink of the victim.
	End If
	Return control to the calling module.

    Code:  */

void remove_node_from_dll(DOUBLE_LIST_NODE *node_pointer)
{
   if (node_pointer->Flink == node_pointer)
   {
      printf("ERROR: An attempt to remove node from an empty double linked list ");
      printf("has\nbeen made.  Program Terminated.\n");
      exit(1);
   }
   else
   {
      node_pointer->Blink->Flink = node_pointer->Flink;
      node_pointer->Flink->Blink = node_pointer->Blink;
   }
}
