/*

    File:     retrieve_widget_id.c

    Ref. No:  XLIB.0

    Author:   James Garacci

    Date:     1-NOV-1994

    Purpose:

	The purpose of this module is to retrieve the id of a widget.

    Usage:

	This module can be invoked as follows:



    Input Parameters:

	None

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <Mrm/MrmAppl.h>
#include "motif.h"
#include "motif.ext"

/*  Functions Referenced:

	None

**  System Calls:

	None

**  Constant Definitions: **

	None

**  Macro Definitions: **

	None

**  External Variables: **

	None

**  Pseudo Code:

  Set the widget pointer to point to NULL

  Return the widget id to the calling module

    Code:  */

Widget retrieve_widget_id (String widnam, int wididx)
{
    Widget              widid;
    widget_entry_type   *wp;

    widid = (Widget) NULL;
    if (widnam)
    {
        wp = wid_list_head;
        while ((wp) && (!widid))
        {
            if ((wp->wid_index == wididx) &&
                (strcmp ((char *)wp->wid_name,
                         (char *) widnam)
                 == 0))
            {
                widid = wp->wid_id;
            }
            wp = wp->next;
        }
    }
    return (widid);
}
