/*

    File:     save_widget_info.c

    Ref. No:  sample1.10

    Author:   James Garacci

    Date:     4-NOV-1994

    Purpose:

	The purpose of this module is to save the information pertaining to
        a widget.

    Usage:

	This module can be invoked as follows:

		save_widget_info (widnam
			         ,wididx
				 ,widid);

    Input Parameters:

	widnam

	wididx
	
	widid = 

    Output Parameters:

	None

    Side Effects:

	None

    Include Files: */

#include <X11/X.h>
#include <Mrm/MrmAppl.h>
#include "motif.h"
#include "motif.ext"

/*  Functions Referenced:

	None

**  System Calls:

	None

**  Constant Definitions: **

	None

**  Macro Definitions: **

	None

**  External Variables: **

	None

**  Pseudo Code:

  Return control to the calling module.

    Code:  */

void save_widget_info (String widnam,
                              int wididx,
                              Widget widid)
{
    widget_entry_type   *wp, *wp2;

    wp2 = (widget_entry_type *) NULL;
    wp = wid_list_head;
    while ((wp) && (!wp2))
    {
        if ((wp->wid_index == wididx) &&
            (strcmp ((char *)wp->wid_name,
                     (char *) widnam)
             == 0))
        {
            wp2 = wp;
        }
        wp = wp->next;
    }

    if (!wp2)
    {
        wp2 = XtNew (widget_entry_type);
        if (wp2)
        {
            wp2->wid_name = XtNewString (widnam);
            wp2->wid_index = wididx;
            wp2->next = wid_list_head;
            wid_list_head = wp2;
        }
    }

    if (wp2)
    {
        wp2->wid_id = widid;
    }
}
